Error loading DevTools

I have just updated from Expo 37.0.0 to 38.0.0 and have updated the Expo CLI to go with it (now at latest 3.21.12).

The app seems to be running OK (still some digging to do regarding breaking changes and API changes), but i immediately get Error loading DevTools in my localhost when i launch the app in iOS sim.

I also get the following in my console;

DevTools failed to load SourceMap: Could not load content for http://localhost:19003/debugger-ui/debuggerWorker.[xx].js.map: HTTP error: status code 500, net::ERR_HTTP_RESPONSE_CODE_FAILURE

This repeats multiple times in the console.

2 Likes

I still have this issue and no where to turn for adviceā€¦ i thought it could be a teething issue, but i seem to be up to date and still having problems

Experienced this too with Expo@38.0.0 and expo-cli@3.22.3 after upgrading from Expo@37.

It was magically fixed after deleting node_modules, yarn.lock, package-lock.json, and then doing
yarn install (instead of my usual npm install).

1 Like